package a3test.a3objects;

import jp.sourceforge.acerola3d.a3.*;

public class A3VideoTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        w.setNavigationMode(A3CanvasInterface.NaviMode.EXAMINE);
        A3Video v = new A3Video("x-res:///anime.mov");
        //A3Video v = new A3Video("file:anime.mov");
        //A3Video v = new A3Video("file:///Users/ksaito/media/video/jmfTest.mov");
        v.setScale(0.7);
        w.add(v);

        try{Thread.sleep(3000);}catch(Exception e){;}
        w.del(v);

        try{Thread.sleep(3000);}catch(Exception e){;}
        w.add(v);
    }
}
